package com.philisense.www.dao.impl;

import com.philisense.www.dao.EbookArticlePhotosDAO;
import com.philisense.www.mapper.EbookArticlePhotosMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class EbookArticlePhotosDAOImpl implements EbookArticlePhotosDAO {
        @Autowired
        private EbookArticlePhotosMapper ebookArticlePhotosMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return ebookArticlePhotosMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return ebookArticlePhotosMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return ebookArticlePhotosMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return ebookArticlePhotosMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return ebookArticlePhotosMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return ebookArticlePhotosMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return ebookArticlePhotosMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return ebookArticlePhotosMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return ebookArticlePhotosMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return ebookArticlePhotosMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            ebookArticlePhotosMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            ebookArticlePhotosMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            ebookArticlePhotosMapper.updateBatch(list);
        }
}
